org.keycloak.dom.xmlsec.w3.xmldsig

## Class SignaturePropertiesType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.SignaturePropertiesType

-     public class SignaturePropertiesType
      extends Object

  Java class for SignaturePropertiesType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SignaturePropertiesType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}SignatureProperty" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected List<SignaturePropertyType>` | `signatureProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignaturePropertiesType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSignatureProperty(SignaturePropertyType sig)`
    `String` | `getId()` Gets the value of the id property.
    `List<SignaturePropertyType>` | `getSignatureProperty()` Gets the value of the signatureProperty property.
    `void` | `removeSignatureProperty(SignaturePropertyType sig)`
    `void` | `setId(String value)` Sets the value of the id property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### signatureProperty

          protected List<SignaturePropertyType> signatureProperty

    - #### id

          protected String id

  - ### Constructor Detail

    - #### SignaturePropertiesType

          public SignaturePropertiesType()

  - ### Method Detail

    - #### addSignatureProperty

          public void addSignatureProperty(SignaturePropertyType sig)

    - #### removeSignatureProperty

          public void removeSignatureProperty(SignaturePropertyType sig)

    - #### getSignatureProperty

          public List<SignaturePropertyType> getSignatureProperty()

      Gets the value of the signatureProperty property.

      Objects of the following type(s) are allowed in the list `SignaturePropertyType`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.